GrailsControllerHandlerMapping (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet
[Java] Class GrailsControllerHandlerMapping

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.handler.AbstractHandlerMapping
                  org.codehaus.groovy.grails.web.servlet.GrailsControllerHandlerMapping

All Implemented Interfaces:
  GrailsApplicationAware

    public class GrailsControllerHandlerMapping
    extends org.springframework.web.servlet.handler.AbstractHandlerMapping

Matches Grails' SimpleController class.

Authors:
  Graeme Rocher

Since:
  1.2

Field Summary
`static java.lang.String` | `MAIN_CONTROLLER_BEAN`

Fields inherited from class org.springframework.web.servlet.handler.AbstractHandlerMapping
PATH_WITHIN_HANDLER_MAPPING_ATTRIBUTE, BEST_MATCHING_PATTERN_ATTRIBUTE, INTROSPECT_TYPE_LEVEL_MAPPING, URI_TEMPLATE_VARIABLES_ATTRIBUTE, MATRIX_VARIABLES_ATTRIBUTE, PRODUCIBLE_MEDIA_TYPES_ATTRIBUTE, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE

Method Summary
`protected org.springframework.web.servlet.HandlerInterceptor[]` | `establishInterceptors(org.springframework.web.context.WebApplicationContext webContext)`
`protected org.springframework.web.servlet.HandlerInterceptor[]` | `establishInterceptors(org.springframework.web.context.WebApplicationContext webContext, java.util.List previousInterceptors)` Evalutes the given WebApplicationContext for all HandlerInterceptor and WebRequestInterceptor instances
`protected void` | `extendInterceptors(java.util.List interceptors)`
`protected org.springframework.web.servlet.HandlerExecutionChain` | `getHandlerExecutionChain(java.lang.Object handler, javax.servlet.http.HttpServletRequest request)`
`protected java.lang.Object` | `getHandlerForControllerClass(GrailsControllerClass controllerClass, javax.servlet.http.HttpServletRequest request)` Obtains the handler for the given controller class.
`protected java.lang.Object` | `getHandlerInternal(javax.servlet.http.HttpServletRequest request)`
`protected org.springframework.web.servlet.HandlerInterceptor[]` | `lookupInterceptors(org.springframework.web.context.WebApplicationContext applicationContext)`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`

Methods inherited from class org.springframework.web.servlet.handler.AbstractHandlerMapping
org.springframework.web.servlet.handler.AbstractHandlerMapping#getHandler(javax.servlet.http.HttpServletRequest), org.springframework.web.servlet.handler.AbstractHandlerMapping#getPathMatcher(), org.springframework.web.servlet.handler.AbstractHandlerMapping#getOrder(), org.springframework.web.servlet.handler.AbstractHandlerMapping#setInterceptors([Ljava.lang.Object;), org.springframework.web.servlet.handler.AbstractHandlerMapping#setUrlPathHelper(org.springframework.web.util.UrlPathHelper), org.springframework.web.servlet.handler.AbstractHandlerMapping#getUrlPathHelper(), org.springframework.web.servlet.handler.AbstractHandlerMapping#setAlwaysUseFullPath(boolean), org.springframework.web.servlet.handler.AbstractHandlerMapping#setUrlDecode(boolean), org.springframework.web.servlet.handler.AbstractHandlerMapping#setRemoveSemicolonContent(boolean), org.springframework.web.servlet.handler.AbstractHandlerMapping#setOrder(int), org.springframework.web.servlet.handler.AbstractHandlerMapping#setDefaultHandler(java.lang.Object), org.springframework.web.servlet.handler.AbstractHandlerMapping#getDefaultHandler(), org.springframework.web.servlet.handler.AbstractHandlerMapping#setPathMatcher(org.springframework.util.PathMatcher), org.springframework.web.servlet.handler.AbstractHandlerMapping#setServletContext(javax.servlet.ServletContext), org.springframework.web.servlet.handler.AbstractHandlerMapping#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.web.servlet.handler.AbstractHandlerMapping#getApplicationContext(), org.springframework.web.servlet.handler.AbstractHandlerMapping#wait(long, int), org.springframework.web.servlet.handler.AbstractHandlerMapping#wait(long), org.springframework.web.servlet.handler.AbstractHandlerMapping#wait(), org.springframework.web.servlet.handler.AbstractHandlerMapping#equals(java.lang.Object), org.springframework.web.servlet.handler.AbstractHandlerMapping#toString(), org.springframework.web.servlet.handler.AbstractHandlerMapping#hashCode(), org.springframework.web.servlet.handler.AbstractHandlerMapping#getClass(), org.springframework.web.servlet.handler.AbstractHandlerMapping#notify(), org.springframework.web.servlet.handler.AbstractHandlerMapping#notifyAll()

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
org.springframework.web.context.support.WebApplicationObjectSupport#setServletContext(javax.servlet.ServletContext), org.springframework.web.context.support.WebApplicationObjectSupport#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.web.context.support.WebApplicationObjectSupport#getApplicationContext(), org.springframework.web.context.support.WebApplicationObjectSupport#wait(long, int), org.springframework.web.context.support.WebApplicationObjectSupport#wait(long), org.springframework.web.context.support.WebApplicationObjectSupport#wait(), org.springframework.web.context.support.WebApplicationObjectSupport#equals(java.lang.Object), org.springframework.web.context.support.WebApplicationObjectSupport#toString(), org.springframework.web.context.support.WebApplicationObjectSupport#hashCode(), org.springframework.web.context.support.WebApplicationObjectSupport#getClass(), org.springframework.web.context.support.WebApplicationObjectSupport#notify(), org.springframework.web.context.support.WebApplicationObjectSupport#notifyAll()

Field Detail

### MAIN_CONTROLLER_BEAN

    public static final java.lang.String MAIN_CONTROLLER_BEAN

Method Detail

### establishInterceptors

    protected org.springframework.web.servlet.HandlerInterceptor[] establishInterceptors(org.springframework.web.context.WebApplicationContext webContext)

### establishInterceptors

    protected org.springframework.web.servlet.HandlerInterceptor[] establishInterceptors(org.springframework.web.context.WebApplicationContext webContext, java.util.List previousInterceptors)

  Evalutes the given WebApplicationContext for all HandlerInterceptor and WebRequestInterceptor instances
  Parameters:
    `webContext` - The WebApplicationContext
  Returns:
    An array of HandlerInterceptor instances

### extendInterceptors

    @java.lang.SuppressWarnings@Override
    @java.lang.Overrideprotected void extendInterceptors(List interceptors) {
    protected void extendInterceptors(java.util.List interceptors)

### getHandlerExecutionChain

    @java.lang.Overrideprotected final HandlerExecutionChain getHandlerExecutionChain(Object handler, HttpServletRequest request) {
    protected final org.springframework.web.servlet.HandlerExecutionChain getHandlerExecutionChain(java.lang.Object handler, javax.servlet.http.HttpServletRequest request)

### getHandlerForControllerClass

    protected java.lang.Object getHandlerForControllerClass(GrailsControllerClass controllerClass, javax.servlet.http.HttpServletRequest request)

  Obtains the handler for the given controller class.
  Parameters:
    `controllerClass` - The controller class
    `request` - The HttpServletRequest
  Returns:
    The handler

### getHandlerInternal

    @java.lang.Override
    protected java.lang.Object getHandlerInternal(javax.servlet.http.HttpServletRequest request)

### lookupInterceptors

    protected org.springframework.web.servlet.HandlerInterceptor[] lookupInterceptors(org.springframework.web.context.WebApplicationContext applicationContext)

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

Groovy Documentation